package PrefixTest;
import com.interfaceware.chameleon.*;

public class PrefixTestEngine extends Engine
{
   public PrefixTestEngine() throws ChameleonException
   {
      super();
   }
   public synchronized void parseMessage(String FlatWire, Transport ATransport) throws ChameleonException
   {
      Table ATable = new Table();
      try
      {
         int MessageIndex = super.parse(FlatWire, ATable);
         switch(MessageIndex)
         {
         // Begin message creation code (comment used as an anchor for STJ)
         case 0:
            ADT_A04Message AADT_A04Message = new ADT_A04Message(this, ATable.handle());
            onADT_A04Message(AADT_A04Message, ATransport);
            break;
         // End message creation code (comment used as an anchor for STJ)
         default:;
            throw new ChameleonException("Unknown message: " + ATable.tableName());
         }
      }
      finally
      {
         ATable.release();
      }
   }

   // Begin message handler prototypes (comment used as an anchor for STJ)
   public void onADT_A04Message(ADT_A04Message Message, Transport ATransport) throws ChameleonException{  println("Message ADT_A04 received.  Override method PrefixTestEngine.onADT_A04Message to handle it."); }
   // End message handler prototypes (comment used as an anchor for STJ)
}
